Organization API
Void a Contract awaiting signatures
Voids the Contract. The optional body accepts reason.
/api/v1/contracts/{id}/void
Voids the Contract. The optional body accepts reason.
Void a Contract awaiting signatures. Use an organization API key with contracts:void. Check the response envelope and meta.requestId before triggering dependent workflow steps.
Required scopes
contracts:voidIdempotency-Key required
Parameters
| Name | In | Type | Description |
|---|---|---|---|
| idrequired | path | string | Contract identifier returned by the Organization API. |
Request body
object
| Field | Type | Description |
|---|---|---|
| reason | string | null | Optional unless marked required. |
voidcontractRequest
{
"reason": "Customer requested a revised contract."
}Responses
200
Contract void action envelope
#/components/schemas/OrgApiActionEnvelope
401
Missing or invalid organization API key
#/components/schemas/OrgApiError
402
Organization billing access or an endpoint-specific business quota denied the request
#/components/schemas/OrgApiError
403
Missing required scope: contracts:void
#/components/schemas/OrgApiError
429
Rate limit exceeded
#/components/schemas/OrgApiError
Errors
401 Missing or invalid organization API key402 Organization billing access or an endpoint-specific business quota denied the request403 Missing required scope: contracts:void429 Rate limit exceeded
Static examples
curl -X POST "$SOLAROS_BASE_URL/api/v1/contracts/$SOLAROS_CONTRACT/void" \
-H "Authorization: Bearer $SOLAROS_API_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: $SOLAROS_IDEMPOTENCY_KEY" \
--data '{"reason":"Customer requested a revised contract."}'